Subject: RE: [rohc] ROHC-TCP proposal: add a generation identifier to IR andIR-CR packets.

From: "Ghyslain Pelletier (LU/EAB)" <[email-masked]>
Date: Tue, 11 Oct 2005 09:30:02 +0200

The root is the same as for section 7.2 (although obviously it's not with respect to the mode of operation) - there is no way to know the difference between a reinitialization and a refresh of the context. Here we'd like the decompressor to have a specific way to know when the context gets totally flushed (reinit) or when the context is simply updated from the content of the IR/IR-CR packet.

/Ghyslain

> -----Original Message-----
> From: Lars-Erik Jonsson [mailto:[email-masked]]
> Sent: den 10 oktober 2005 17:34
> To: Ghyslain Pelletier (LU/EAB); [email-masked]
> Subject: Re: [rohc] ROHC-TCP proposal: add a generation 
> identifier to IR
> andIR-CR packets.
> 
> 
> Ghyslain,
> 
> Please explain why this would be a problem for the TCP profile, the 
> reference you gave only talks about this as a problem with multi-mode 
> profiles, while the TCP profile does not have that RFC3095-problem.
> 
> /L-E
> 
> ----- Original Message ----- 
> From: "Ghyslain Pelletier (LU/EAB)" <[email-masked]>
> To: <[email-masked]>
> Sent: Monday, October 10, 2005 4:49 PM
> Subject: [rohc] ROHC-TCP proposal: add a generation identifier to IR 
> andIR-CR packets.
> 
> 
> Hi RoHCers,
> 
> Kristofer and myself would like to propose adding a 
> generation identifier to 
> the IR and IR-CR packet formats, to identify a version of a context 
> associated with a CID.
> 
> A change in the GenID carried without an IR/IR-CR packet from 
> its value in 
> the context for the CID for which the packet is sent would 
> basically signal 
> the decompressor that it can flush the entire context and 
> start anew. In 
> other words, it gives the possibility to the compressor and 
> the decompressor 
> to differentiate between a context refresh and a context 
> (re)initialization, 
> in either unidirectional or bidirectional operation. The cost 
> would be one 
> additional octet in the IR/IR-CR packet.
> 
> This would be useful in order to solve the issue of the 
> CID-reuse ambiguity 
> within the same profile, as described in the implementer's 
> guide in section 
> 7.2:
> http://www.ietf.org/internet-drafts/draft-ietf-rohc-rtp-impl-g
uide-15 .txt

If we all agree and I don't hear any objections, I will propose new text to 
add to the ROHC-TCP draft soon.

/Ghyslain

--
 Ghyslain Pelletier, Dipl. Ing.
 Wireless IP Optimizations
 Ericsson Research, Corporate Unit

 Ericsson AB, Laboratoriegränd 11
 Box 920, S-97128 Luleå, SWEDEN
 Phone : +46 (0)  8 404 29 43
 Mobile: +46 (0) 70 264 83 14
 Ghyslain.Pelletier at ericsson.com
 http://www.ericsson.com

-----------------------------------
 The opinions expressed in this
 message are my personal opinions.
 These opinions are not
 necessarily those of my employer,
 unless stated otherwise.
-----------------------------------

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Lars-Erik Jonsson" <[email-masked]>
Date: Tue, 11 Oct 2005 17:21:22 +0200

Ok, I should have been even more specific. I have not thought very much 
about this, but I have not seen the argument why this is important for the 
decompressor to know. In the case of 3095 with the modes in which packets 
could be interpreted in different ways depending on mode, this was clearly 
an issue, but why is it still relevant/essential to know this, important 
enough to motivate introduction of generation ID's. This might be a good 
idea for some reason, but I have not seen that presented yet. What problem 
do you get without it? Are there other ways to solve that? Help us get some 
idea of the problem/solution-space here.

Rgds,
/L-E

----- Original Message ----- 
From: "Ghyslain Pelletier (LU/EAB)" <[email-masked]>
To: "Lars-Erik Jonsson" <[email-masked]>; <[email-masked]>
Sent: Tuesday, October 11, 2005 9:30 AM
Subject: RE: [rohc] ROHC-TCP proposal: add a generation identifier to 
IRandIR-CR packets.

The root is the same as for section 7.2 (although obviously it's not with 
respect to the mode of operation) - there is no way to know the difference 
between a reinitialization and a refresh of the context. Here we'd like the 
decompressor to have a specific way to know when the context gets totally 
flushed (reinit) or when the context is simply updated from the content of 
the IR/IR-CR packet.

/Ghyslain

uide-15 .txt

/Ghyslain